
Packaging - Bug #14321

Package download from deb.theforeman.org freezes

03/22/2016 04:25 PM - Juan Carlos Perez

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Debian/Ubuntu   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Environment

Ubuntu 12 precise

Updated

Running on VirtualBox

All updates and comunications are working fine

Trying to install with this command

sudo foreman-installer \

--no-enable-puppet \

--no-enable-foreman-plugin-bootdisk \

--no-enable-foreman-proxy \

--foreman-db-adapter=mysql2 \

--foreman-db-database=foreman \

--foreman-db-host=db.domain \

--foreman-db-manage=true \

--foreman-db-username=foreman \

--foreman-db-password='foreman_password' \

--foreman-db-port=3306 \

--foreman-db-type=mysql \

--foreman-server-ssl-ca=/etc/ssl/domain/certs/ca.pem \

--foreman-server-ssl-chain=/etc/ssl/domain/certs/ca.pem \

--foreman-server-ssl-cert=/etc/ssl/domain/certs/domain.pem \

--foreman-server-ssl-key=/etc/ssl/domain/private_keys/domain.pem

Keeps frozen in this step :

[DEBUG 2016-03-22 19:59:11 main]  Executing '/usr/bin/dpkg-query -W --showformat '${Status} ${Package} ${Version}\n' for

eman-mysql2'

[DEBUG 2016-03-22 19:59:11 main]  Executing '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install foreman-m

ysql2'

root@foreman:/var/log/foreman-installer# /usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install foreman-mysq

l2

E: Could not get lock /var/lib/dpkg/lock - open (11: Resource temporarily unavailable)

E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?

After that I need to cancel and reboot the VM

I tried to check in the log and run manually the command

/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install foreman-mysql2

And voila .. is trying to access to this

Get:1 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:2 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:3 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]
Get:4 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:5 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:6 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

I was trying to find why that is not loading

http://deb.theforeman.org/dists/precise/1.10/binary-amd64/

I dont see the source .... not sure if that is correct ... but looks like is trying to get something for a place that doesnt exist....

Thanks

JC

History

#1 - 03/23/2016 04:07 AM - Dominic Cleal

- Project changed from Foreman to Installer

- Status changed from New to Feedback

- Difficulty deleted (easy)

If apt-get isn't working correctly then the problem isn't likely to be in the installer, I'd check that your network access is fast enough.  Try using apt-get

without the additional arguments that Puppet adds, see what download speed it receives.

The packages are at http://deb.theforeman.org/pool/precise/1.10/f/foreman/.

#2 - 03/23/2016 05:56 AM - Juan Carlos Perez

Hi there and thanks for your reply!

Obviously arrived to that point I have verified before to open this all the connection issues…. Here why ….

I tried this

/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install foreman-mysql2

And this

apt-get  -y install foreman-mysql2

So as you can see is not a connectivity issue :

root@foreman:/etc# apt-get  -y install foreman-mysql2

Reading package lists... Done

Building dependency tree

Reading state information... Done

The following extra packages will be installed:

bundler foreman foreman-debug foreman-proxy libaugeas-ruby libgoogle-perftools-dev libgoogle-perftools0 libgssrpc4

libkadm5clnt-mit8 libmysqlclient-dev libruby1.9.1 libruby1.9.1-dbg libtcmalloc-minimal0 libunwind7 rake ri1.9.1

ruby-bundler-ext ruby-ffi ruby-gssapi ruby-rkerberos ruby-rubyipmi ruby-sinatra ruby-tilt ruby1.9.1 ruby1.9.1-dev

ruby1.9.1-examples ruby1.9.1-full ruby1.9.3 rubygems-integration unzip zip zlib1g-dev

Suggested packages:

krb5-doc krb5-user doc-base ruby-switch

The following NEW packages will be installed:

bundler foreman foreman-debug foreman-mysql2 foreman-proxy libaugeas-ruby libgoogle-perftools-dev

libgoogle-perftools0 libgssrpc4 libkadm5clnt-mit8 libmysqlclient-dev libruby1.9.1 libruby1.9.1-dbg

libtcmalloc-minimal0 libunwind7 rake ri1.9.1 ruby-bundler-ext ruby-ffi ruby-gssapi ruby-rkerberos ruby-rubyipmi

ruby-sinatra ruby-tilt ruby1.9.1 ruby1.9.1-dev ruby1.9.1-examples ruby1.9.1-full ruby1.9.3 rubygems-integration

unzip zip zlib1g-dev

0 upgraded, 33 newly installed, 0 to remove and 9 not upgraded.

Need to get 47.8 MB/64.6 MB of archives.

After this operation, 196 MB of additional disk space will be used.

Get:1 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

99% [1 foreman 47.5 MB/47.5 MB 100%]

99% [1 foreman 47.5 MB/47.5 MB 100%]

99% [1 foreman 47.5 MB/47.5 MB 100%]

99% [1 foreman 47.5 MB/47.5 MB 100%]

99% [1 foreman 47.5 MB/47.5 MB 100%]

99% [1 foreman 47.5 MB/47.5 MB 100%]
99% [1 foreman 47.5 MB/47.5 MB 100%]

99% [1 foreman 47.5 MB/47.5 MB 100%]

99% [1 foreman 47.5 MB/47.5 MB 100%]

99% [1 foreman 47.5 MB/47.5 MB 100%]

Get:2 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:3 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:4 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:5 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:6 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:7 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:8 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:9 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:10 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:11 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:12 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:13 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:14 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:15 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:16 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:17 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:18 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:19 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:20 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:21 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:22 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:23 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:24 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:25 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:26 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]
Get:36 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]
Get:45 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:46 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:47 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]
Get:60 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:61 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:62 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:63 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]
Get:70 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

In fact I was checking this

http://deb.theforeman.org/dists/precise/1.10/binary-amd64/Packages

to verify what we have there … I sent a mail to Greg  Sutcliffe as looks he is the main guy there!

So no ideas at this point … but please don’t close this one!

Thanks

#3 - 03/23/2016 06:07 AM - Dominic Cleal

- Project changed from Installer to Packaging

- Subject changed from Install Freezes in process to Package download from deb.theforeman.org freezes

- Category set to Debian/Ubuntu

- Status changed from Feedback to New

Do you have a proxy server between your host and the package repo?  Perhaps that's interfering with the download, especially if it's a caching one. 

Our tests are running fine against the repos.

Greg's one of the developers, yes.  A few of us maintain the packages and the server.  I'm not aware of any other problems reported with downloads

from it though.

#4 - 03/23/2016 06:38 AM - Juan Carlos Perez

Well I have good and bad news!

It took several hours to ran, I am checking the logs now…

Get:62 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:63 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:64 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:65 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:66 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:67 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:68 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:69 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:70 http://deb.theforeman.org/ precise/1.10 foreman amd64 1.10.2-1 [47.5 MB]

Get:71 http://deb.theforeman.org/ precise/1.10 foreman-debug all 1.10.2-1 [122 kB]

Get:72 http://deb.theforeman.org/ precise/1.10 foreman-mysql2 all 1.10.2-1 [119 kB]

Get:73 http://deb.theforeman.org/ precise/1.10 foreman-proxy all 1.10.2-1 [77.7 kB]

Fetched 47.8 MB in 2h 38min 52s (5,016 B/s)

Extracting templates from packages: 100%

Selecting previously unselected package libgssrpc4.

(Reading database ... 70795 files and directories currently installed.)

Unpacking libgssrpc4 (from .../libgssrpc4_1.10+dfsg~beta1-2ubuntu0.7_amd64.deb) ...

Selecting previously unselected package libkadm5clnt-mit8.

Unpacking libkadm5clnt-mit8 (from .../libkadm5clnt-mit8_1.10+dfsg~beta1-2ubuntu0.7_amd64.deb) ...

Selecting previously unselected package libruby1.9.1.

Unpacking libruby1.9.1 (from .../libruby1.9.1_1%3a1.9.3.551-2bbox1~precise1_amd64.deb) ...

Selecting previously unselected package ruby1.9.1.

Unpacking ruby1.9.1 (from .../ruby1.9.1_1%3a1.9.3.551-2bbox1~precise1_amd64.deb) ...

Selecting previously unselected package bundler.

Unpacking bundler (from .../bundler_1.2.2-2_all.deb) ...

Selecting previously unselected package libaugeas-ruby.

Unpacking libaugeas-ruby (from .../libaugeas-ruby_0.3.0-1.1ubuntu4_all.deb) ...

Selecting previously unselected package libtcmalloc-minimal0.

Unpacking libtcmalloc-minimal0 (from .../libtcmalloc-minimal0_1.7-1ubuntu1_amd64.deb) ...

Selecting previously unselected package libunwind7.

Unpacking libunwind7 (from .../libunwind7_0.99-0.3ubuntu1_amd64.deb) ...

Selecting previously unselected package libgoogle-perftools0.

Unpacking libgoogle-perftools0 (from .../libgoogle-perftools0_1.7-1ubuntu1_amd64.deb) ...

Selecting previously unselected package libgoogle-perftools-dev.

Unpacking libgoogle-perftools-dev (from .../libgoogle-perftools-dev_1.7-1ubuntu1_amd64.deb) ...

Selecting previously unselected package zlib1g-dev.

Unpacking zlib1g-dev (from .../zlib1g-dev_1%3a1.2.3.4.dfsg-3ubuntu4_amd64.deb) ...

Selecting previously unselected package libmysqlclient-dev.

Unpacking libmysqlclient-dev (from .../libmysqlclient-dev_5.5.47-0ubuntu0.12.04.1_amd64.deb) ...

Selecting previously unselected package rake.

Unpacking rake (from .../rake_0.9.2.2-2_all.deb) ...

Selecting previously unselected package ri1.9.1.

Unpacking ri1.9.1 (from .../ri1.9.1_1%3a1.9.3.551-2bbox1~precise1_all.deb) ...

Selecting previously unselected package ruby-bundler-ext.

Unpacking ruby-bundler-ext (from .../ruby-bundler-ext_0.4.0-1_all.deb) ...
Selecting previously unselected package ruby-ffi.

Unpacking ruby-ffi (from .../ruby-ffi_1.0.11debian-3_amd64.deb) ...

Selecting previously unselected package ruby-gssapi.

Unpacking ruby-gssapi (from .../ruby-gssapi_1.2.0-1_all.deb) ...

Selecting previously unselected package ruby-rkerberos.

Unpacking ruby-rkerberos (from .../ruby-rkerberos_0.1.3-3_amd64.deb) ...

Selecting previously unselected package ruby-rubyipmi.

Unpacking ruby-rubyipmi (from .../ruby-rubyipmi_0.10.0-1_all.deb) ...

Selecting previously unselected package ruby-tilt.

Unpacking ruby-tilt (from .../ruby-tilt_1.3.3-1_all.deb) ...

Selecting previously unselected package ruby-sinatra.

Unpacking ruby-sinatra (from .../ruby-sinatra_1.2.6-1+build1_all.deb) ...

Selecting previously unselected package ruby1.9.1-dev.

Unpacking ruby1.9.1-dev (from .../ruby1.9.1-dev_1%3a1.9.3.551-2bbox1~precise1_amd64.deb) ...

Selecting previously unselected package ruby1.9.1-examples.

Unpacking ruby1.9.1-examples (from .../ruby1.9.1-examples_1%3a1.9.3.551-2bbox1~precise1_all.deb) ...

Selecting previously unselected package libruby1.9.1-dbg.

Unpacking libruby1.9.1-dbg (from .../libruby1.9.1-dbg_1%3a1.9.3.551-2bbox1~precise1_amd64.deb) ...

Selecting previously unselected package ruby1.9.1-full.

Unpacking ruby1.9.1-full (from .../ruby1.9.1-full_1%3a1.9.3.551-2bbox1~precise1_all.deb) ...

Selecting previously unselected package ruby1.9.3.

Unpacking ruby1.9.3 (from .../ruby1.9.3_1%3a1.9.3.551-2bbox1~precise1_all.deb) ...

Selecting previously unselected package rubygems-integration.

Unpacking rubygems-integration (from .../rubygems-integration_1.8-1bbox1~precise1_all.deb) ...

Selecting previously unselected package unzip.

Unpacking unzip (from .../unzip_6.0-4ubuntu2.5_amd64.deb) ...

Selecting previously unselected package zip.

Unpacking zip (from .../archives/zip_3.0-4_amd64.deb) ...

Selecting previously unselected package foreman.

Unpacking foreman (from .../foreman_1.10.2-1_amd64.deb) ...

Selecting previously unselected package foreman-debug.

Unpacking foreman-debug (from .../foreman-debug_1.10.2-1_all.deb) ...

Selecting previously unselected package foreman-mysql2.

Unpacking foreman-mysql2 (from .../foreman-mysql2_1.10.2-1_all.deb) ...

Selecting previously unselected package foreman-proxy.

Unpacking foreman-proxy (from .../foreman-proxy_1.10.2-1_all.deb) ...

Processing triggers for man-db ...

Processing triggers for ureadahead ...

Setting up libgssrpc4 (1.10+dfsg~beta1-2ubuntu0.7) ...

Setting up libkadm5clnt-mit8 (1.10+dfsg~beta1-2ubuntu0.7) ...

Setting up libruby1.9.1 (1:1.9.3.551-2bbox1~precise1) ...

Setting up ruby1.9.1 (1:1.9.3.551-2bbox1~precise1) ...

update-alternatives: warning: forcing reinstallation of alternative /usr/bin/ruby1.8 because link group ruby is broken.

update-alternatives: warning: not replacing /usr/bin/rdoc with a link.

update-alternatives: warning: not replacing /usr/bin/ri with a link.

Setting up bundler (1.2.2-2) ...

Setting up libaugeas-ruby (0.3.0-1.1ubuntu4) ...

Setting up libtcmalloc-minimal0 (1.7-1ubuntu1) ...

Setting up libunwind7 (0.99-0.3ubuntu1) ...

Setting up libgoogle-perftools0 (1.7-1ubuntu1) ...

Setting up libgoogle-perftools-dev (1.7-1ubuntu1) ...

Setting up zlib1g-dev (1:1.2.3.4.dfsg-3ubuntu4) ...

Setting up libmysqlclient-dev (5.5.47-0ubuntu0.12.04.1) ...

Setting up rake (0.9.2.2-2) ...

Setting up ri1.9.1 (1:1.9.3.551-2bbox1~precise1) ...

Setting up ruby-bundler-ext (0.4.0-1) ...

Setting up ruby-ffi (1.0.11debian-3) ...

Setting up ruby-gssapi (1.2.0-1) ...

Setting up ruby-rkerberos (0.1.3-3) ...

Setting up ruby-rubyipmi (0.10.0-1) ...

Setting up ruby-tilt (1.3.3-1) ...

Setting up ruby-sinatra (1.2.6-1+build1) ...

Setting up ruby1.9.1-dev (1:1.9.3.551-2bbox1~precise1) ...

Setting up ruby1.9.1-examples (1:1.9.3.551-2bbox1~precise1) ...

Setting up libruby1.9.1-dbg (1:1.9.3.551-2bbox1~precise1) ...

Setting up ruby1.9.1-full (1:1.9.3.551-2bbox1~precise1) ...

Setting up ruby1.9.3 (1:1.9.3.551-2bbox1~precise1) ...

Setting up rubygems-integration (1.8-1bbox1~precise1) ...

Setting up unzip (6.0-4ubuntu2.5) ...

Setting up zip (3.0-4) ...

Setting up foreman (1.10.2-1) ...

foreman not configured to start. Please edit /etc/default/foreman to enable.

Setting up foreman-debug (1.10.2-1) ...

Setting up foreman-mysql2 (1.10.2-1) ...
Setting up foreman-proxy (1.10.2-1) ...

Errors detected on startup, see log for details. Exiting: Both http and https are disabled, unable to start.

Processing triggers for libc-bin ...

ldconfig deferred processing now taking place

root@foreman:/etc#

I am adding a new log ... I thought that no extra packages needs to be added with this process .. looks like maybe is necesary to fine tunning ?

/Stage[main]/Foreman::Database/Foreman::Rake[db:migrate]/Exec[foreman-rake-db:migrate]: Failed to call refresh

: /usr/sb

in/foreman-rake db:migrate returned 1 instead of one of [0]

 /Stage[main]/Foreman::Database/Foreman::Rake[db:migrate]/Exec[foreman-rake-db:migrate]: /usr/sbin/foreman-rak

e db:migra

te returned 1 instead of one of [0]

 /Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]: Failed to call refresh: /us

r/sbin/for

eman-rake db:seed returned 1 instead of one of [0]

 /Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]: /usr/sbin/foreman-rake db:s

eed return

ed 1 instead of one of [0]

 Could not start Service[httpd]: Execution of '/etc/init.d/apache2 start' returned 1: * Starting web server ap

ache2

 /Stage[main]/Apache::Service/Service[httpd]/ensure: change from stopped to running failed: Could not start Se

rvice[http

d]: Execution of '/etc/init.d/apache2 start' returned 1: * Starting web server apache2

Installing             Done                                               [100%] [............................

........]

  Something went wrong! Check the log for ERROR-level output

 * Foreman is running at https://foreman.domain

      Initial credentials are admin / EDppd5uM9KCsaagY

  The full log is at /var/log/foreman-installer/foreman-installer.log

 Thanks!

JC

#5 - 03/23/2016 07:20 AM - Dominic Cleal

The installer is reporting two errors, can you run the commands it's trying to and pastebin the output/logs:

/usr/sbin/foreman-rake db:migrate

/etc/init.d/apache2 start

#6 - 03/23/2016 07:44 AM - Juan Carlos Perez

root@foreman:/home/vagrant# /usr/sbin/foreman-rake db:migrate --trace

Invoke db:migrate (first_time)

Invoke environment (first_time)

Execute environment

rake aborted!

LoadError: Please install the mysql adapter: `gem install activerecord-mysql-adapter` (mysql is not part of the bundle.

Add it to Gemfile.)

/usr/lib/ruby/vendor_ruby/bundler/rubygems_integration.rb:147:in `block in replace_gem'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/connection_adapters/mysql_adapter.rb:5:i

n `<top (required)>'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/dependencies.rb:251:in `require'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/dependencies.rb:251:in `block in requi

re'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/dependencies.rb:236:in `load_dependenc

y'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/dependencies.rb:251:in `require'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/connection_adapters/abstract/connection_

specification.rb:50:in `resolve_hash_connection'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/connection_adapters/abstract/connection_

specification.rb:41:in `resolve_string_connection'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/connection_adapters/abstract/connection_

specification.rb:25:in `spec'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/connection_adapters/abstract/connection_

specification.rb:130:in `establish_connection'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/railtie.rb:88:in `block (2 levels) in <c

lass:Railtie>'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/lazy_load_hooks.rb:36:in `instance_eva

l'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/lazy_load_hooks.rb:36:in `execute_hook
'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/lazy_load_hooks.rb:26:in `block in on_

load'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/lazy_load_hooks.rb:25:in `each'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/lazy_load_hooks.rb:25:in `on_load'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.21/lib/active_record/railtie.rb:80:in `block in <class:Railti

e>'

/usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/initializable.rb:30:in `instance_exec'

/usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/initializable.rb:30:in `run'

/usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/initializable.rb:55:in `block in run_initializers'

/usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/initializable.rb:54:in `each'

/usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/initializable.rb:54:in `run_initializers'

/usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/application.rb:136:in `initialize!'

/usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/railtie/configurable.rb:30:in `method_missing'

/usr/share/foreman/config/environment.rb:5:in `<top (required)>'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/dependencies.rb:251:in `require'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/dependencies.rb:251:in `block in requi

re'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/dependencies.rb:236:in `load_dependenc

y'

/usr/share/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.21/lib/active_support/dependencies.rb:251:in `require'

/usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/application.rb:103:in `require_environment!'

/usr/share/foreman/vendor/ruby/1.9.1/gems/railties-3.2.21/lib/rails/application.rb:305:in `block (2 levels) in initializ

e_tasks'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:240:in `call'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:240:in `block in execute'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:235:in `each'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:235:in `execute'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:179:in `block in invoke_with_call_chain'

/usr/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:172:in `invoke_with_call_chain'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:201:in `block in invoke_prerequisites'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:199:in `each'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:199:in `invoke_prerequisites'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:178:in `block in invoke_with_call_chain'

/usr/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:172:in `invoke_with_call_chain'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/task.rb:165:in `invoke'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/application.rb:150:in `invoke_task'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/application.rb:106:in `block (2 levels) in top_level'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/application.rb:106:in `each'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/application.rb:106:in `block in top_level'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/application.rb:115:in `run_with_threads'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/application.rb:100:in `top_level'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/application.rb:78:in `block in run'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/application.rb:176:in `standard_exception_handling'

/usr/share/foreman/vendor/ruby/1.9.1/gems/rake-10.5.0/lib/rake/application.rb:75:in `run'

/usr/bin/rake1.9.1:32:in `<main>'

Tasks: TOP => db:migrate => environment

root@foreman:/home/vagrant#

I am checking connection to the db, but everything looks fine in connectivity...

#7 - 03/23/2016 07:45 AM - Juan Carlos Perez

Looks like it needs

LoadError: Please install the mysql adapter: `gem install activerecord-mysql-adapter` (mysql is not part of the bundle.

Add it to Gemfile.)

But why this is not added in the install process?

#8 - 03/23/2016 07:47 AM - Dominic Cleal

Does /usr/share/foreman/bundler.d/mysql2.rb exist?  Can you run "bundle show" from /usr/share/foreman?

#9 - 03/23/2016 07:54 AM - Juan Carlos Perez

root@foreman:/usr/share/foreman/bundler.d# pwd

/usr/share/foreman/bundler.d

root@foreman:/usr/share/foreman/bundler.d# ll

total 24

drwxr-xr-x  2 foreman foreman 4096 Mar 23 10:02 ./

drwxr-xr-x 12 foreman foreman 4096 Mar 22 23:39 ../

rw-r--r-  1 foreman foreman   76 Feb 23 16:34 debian.rb

05/19/2024 7/12



rw-r--r-  1 foreman foreman   29 Aug 27  2015 foreman_setup.rb

rw-r--r-  1 foreman foreman   65 Feb 23 14:05 jsonp.rb

rw-r--r-  1 foreman foreman   49 Feb 23 14:05 mysql2.rb

root@foreman:/usr/share/foreman/bundler.d# more mysql2.rb

group :mysql2 do

gem 'mysql2', '~> 0.3.10'

end

root@foreman:/usr/share/foreman/bundler.d#

root@foreman:/usr/share/foreman/bundler.d# bundle show

Gems included by the bundle:

Could not find rake-10.5.0 in any of the sources

root@foreman:/usr/share/foreman/bundler.d#

#10 - 03/23/2016 07:57 AM - Dominic Cleal

Could you try running (from /usr/share/foreman):

sudo -u foreman /usr/bin/foreman-ruby /usr/bin/bundle install --path ./vendor/ --local --no-prune

 The show command may then work.

This all ought to happen during the postinst of the package, so I'm not quite sure what's gone wrong yet, as the apt-get command didn't show any

errors either.

#11 - 03/23/2016 08:07 AM - Juan Carlos Perez

root@foreman:/usr/share/foreman# pwd

/usr/share/foreman

root@foreman:/usr/share/foreman# sudo -u foreman /usr/bin/foreman-ruby /usr/bin/bundle install --path ./vendor/ --local

--no-prune

Using rake (10.5.0)

Using i18n (0.6.11)

Using multi_json (1.11.2)

Using activesupport (3.2.21)

Using builder (3.0.4)

Using activemodel (3.2.21)

Using erubis (2.7.0)

Using journey (1.0.4)

Using rack (1.4.7)

Using rack-cache (1.2)

Using rack-test (0.6.3)

Using hike (1.2.3)

Using tilt (1.4.1)

Using sprockets (2.2.3)

Using actionpack (3.2.21)

Using mime-types (1.25.1)

Using polyglot (0.3.5)

Using treetop (1.4.15)

Using mail (2.5.4)

Using actionmailer (3.2.21)

Using arel (3.0.3)

Using tzinfo (0.3.46)

Using activerecord (3.2.21)

Using activeresource (3.2.21)

Using ancestry (2.1.0)

Using json (1.8.3)

Using apipie-rails (0.2.6)

Using audited (3.0.0)

Using audited-activerecord (3.0.0)

Using coffee-script-source (1.10.0)

Using execjs (2.4.0)

Using coffee-script (2.4.1)

Using rack-ssl (1.3.4)

Using rdoc (3.12.2)

Using thor (0.19.1)

Using railties (3.2.21)

Using coffee-rails (3.2.2)

Using deep_cloneable (2.2.0)

Using fast_gettext (0.9.2)

Using foreigner (1.7.4)

Using foreman_setup (3.0.2)

Using friendly_id (4.0.10.1)

Using gettext_i18n_rails (1.4.0)

Using net-ldap (0.12.1)
Using ldap_fluff (0.4.0)

Using little-plugger (1.1.4)

Using logging (2.0.0)

Using mini_portile2 (2.0.0)

Using mysql2 (0.3.20)

Using nokogiri (1.6.7.2)

Using oauth (0.5.0)

Using rabl (0.12.0)

Using rack-jsonp (1.3.1)

Using bundler (1.2.2)

Using rails (3.2.21)

Using rails-i18n (3.0.1)

Using rest-client (1.6.9)

Using sexp_processor (4.7.0)

Using ruby_parser (3.8.1)

Using ruby2ruby (2.3.0)

Using safemode (1.2.2)

Using scoped_search (3.2.2)

Using secure_headers (1.4.1)

Using turbolinks (2.5.3)

Using validates_lengths_from_database (0.5.0)

Using will_paginate (3.1.0)

Updating files in vendor/cache

Your bundle is complete! It was installed into ./vendor

root@foreman:/usr/share/foreman#

#12 - 03/23/2016 08:08 AM - Dominic Cleal

Did that fix the error with db:migrate?  Did the show command work properly now?

#13 - 03/23/2016 08:12 AM - Juan Carlos Perez

And I don’t know why it has installed mysql server ..

I am trying right now … let me explain you a little bit the scenario :

foreman.domain – 10.0.0.1

foreman-enc.domain – 10.0.0.2

foreman-reports.domain – 10.0.0.3

db.domain – 10.0.0.5

puppetmaster-1.domain – 10.0.0.6

puppet-ca.domain – 10.0.0.8

I am using a windows host, vagrant, virtualbox…….

For some reason the installer added mysql server to foreman.domain – 10.0.0.1

That is the host with that problem as well… and I had a problem in my vagrant file I was using

1. ln -s /vagrant/SSL/domain/certs/ca.pem /etc/ssl/domain/certs/ca.pem && \

instead

cp /vagrant/SSL/domain/certs/ca.pem /etc/ssl/domain/certs/ca.pem && \

So one sec and I will say something…

#14 - 03/23/2016 08:14 AM - Juan Carlos Perez

root@foreman:~# sudo foreman-installer \

--no-enable-puppet \

--no-enable-foreman-plugin-bootdisk \

--no-enable-foreman-proxy \

--foreman-db-adapter=mysql2 \

--foreman-db-database=foreman \

--foreman-db-host=db.domain \

--foreman-db-manage=true \

--foreman-db-username=foreman \

--foreman-db-password='foreman_password' \

--foreman-db-port=3306 \

--foreman-db-type=mysql \

--foreman-server-ssl-ca=/etc/ssl/domain/certs/ca.pem \

--foreman-server-ssl-chain=/etc/ssl/domain/certs/ca.pem \

--foreman-server-ssl-cert=/etc/ssl/domain/certs/domain.pem \

--foreman-server-ssl-key=/etc/ssl/domain/private_keys/domain.pem

 Could not start Service[httpd]: Execution of '/etc/init.d/apache2 start' returned 1: * Starting web server apache2

/Stage[main]/Apache::Service/Service[httpd]/ensure: change from stopped to running failed: Could not start Service[http
d]: Execution of '/etc/init.d/apache2 start' returned 1: * Starting web server apache2

Installing             Done                                               [100%] [....................................]

Something went wrong! Check the log for ERROR-level output   * Foreman is running at https://foreman.domain

Initial credentials are admin / EDppd5uM9KCsaagY

The full log is at /var/log/foreman-installer/foreman-installer.log

#15 - 03/23/2016 08:20 AM - Juan Carlos Perez

[DEBUG 2016-03-23 12:14:33 main] Exit with status code: 4 (signal was 4)

[ERROR 2016-03-23 12:14:33 main] Repeating errors encountered during run:

[ERROR 2016-03-23 12:14:33 main]  Could not start Service[httpd]: Execution of '/etc/init.d/apache2 start' returned 1: *

Starting web server apache2

[ERROR 2016-03-23 12:14:33 main]  /Stage[main]/Apache::Service/Service[httpd]/ensure: change from stopped to running fai

led: Could not start Service[httpd]: Execution of '/etc/init.d/apache2 start' returned 1: * Starting web server apache2

[DEBUG 2016-03-23 12:14:33 main] Cleaning /tmp/d20160323-2032-1dc6bkn

[DEBUG 2016-03-23 12:14:33 main] Cleaning /tmp/default_values.yaml

root@foreman:/var/log/foreman-installer#                '/etc/init.d/apache2 start'

bash: /etc/init.d/apache2 start: No such file or directory

root@foreman:/var/log/foreman-installer# /etc/init.d/apache2 start  * Starting web server apache2

Syntax error on line 36 of /etc/apache2/sites-enabled/05-foreman-ssl.conf:

SSLCARevocationFile: file '/var/lib/puppet/ssl/crl.pem' does not exist or is empty

Action 'start' failed.

The Apache error log may have more information.

...fail!

root@foreman:/var/log/foreman-installer# more /var/lib/puppet/ssl/crl.pem

Is asking for the crl on a diferent location ...?

than the installer?

sudo foreman-installer \

--no-enable-puppet \

--no-enable-foreman-plugin-bootdisk \

--no-enable-foreman-proxy \

--foreman-db-adapter=mysql2 \

--foreman-db-database=foreman \

--foreman-db-host=db.domain \

--foreman-db-manage=true \

--foreman-db-username=foreman \

--foreman-db-password='foreman_password' \

--foreman-db-port=3306 \

--foreman-db-type=mysql \

--foreman-server-ssl-ca=/etc/ssl/domain/certs/ca.pem \

--foreman-server-ssl-chain=/etc/ssl/domain/certs/ca.pem \

--foreman-server-ssl-cert=/etc/ssl/domain/certs/domain.pem \

--foreman-server-ssl-key=/etc/ssl/domain/private_keys/domain.pem

#16 - 03/23/2016 08:24 AM - Dominic Cleal

And I don’t know why it has installed mysql server ..

 When --foreman-db-manage is true then it tries to manage the installation of the DB server too, you'd have to set this to false.  However this has a

catch - the same setting controls both managing the DB server and also the automatic db:migrate and db:seed (initialising the database).  This is OK

if the database is shared or already existed, but won't set up an empty one for you.

When db-manage is false, ignore the user/pass printed out - that's part of the db:seed step, which it won't be running.

Syntax error on line 36 of /etc/apache2/sites-enabled/05-foreman-ssl.conf:

SSLCARevocationFile: file '/var/lib/puppet/ssl/crl.pem' does not exist or is empty

Action 'start' failed.

The Apache error log may have more information.

...fail!

root@foreman:/var/log/foreman-installer# more /var/lib/puppet/ssl/crl.pem

Is asking for the crl on a diferent location ...?

 Does that file exist?  You may need to set the correct location with --foreman-server-ssl-crl if it's in another location (e.g. /etc/ssl).

#17 - 03/23/2016 08:27 AM - Juan Carlos Perez

This place is totally empty

05/19/2024 10/12

https://foreman.domain


root@foreman:/var/lib/puppet/ssl# pwd

/var/lib/puppet/ssl

root@foreman:/var/lib/puppet/ssl# ll

total 28

drwxrwx--x  7 puppet puppet 4096 Mar 22 18:18 ./

drwxr-x--- 14 puppet puppet 4096 Mar 22 18:19 ../

drwxr-xr-x  2 puppet puppet 4096 Mar 22 18:18 certificate_requests/

drwxr-xr-x  2 puppet puppet 4096 Mar 22 18:18 certs/

drwxr-x---  2 puppet puppet 4096 Mar 22 18:18 private/

drwxr-x---  2 puppet puppet 4096 Mar 22 18:18 private_keys/

drwxr-xr-x  2 puppet puppet 4096 Mar 22 18:18 public_keys/

root@foreman:/var/lib/puppet/ssl#

What is correct and the keys are fine is in the directories from install paths...

--foreman-server-ssl-ca=/etc/ssl/domain/certs/ca.pem \

--foreman-server-ssl-chain=/etc/ssl/domain/certs/ca.pem \

--foreman-server-ssl-cert=/etc/ssl/domain/certs/domain.pem \

--foreman-server-ssl-key=/etc/ssl/domain/private_keys/domain.pem

#18 - 03/23/2016 08:29 AM - Dominic Cleal

Yes, you need to specify the location of the CRL if you have one.  You may be able to set it to UNDEF if you don't have one.

#19 - 03/23/2016 08:32 AM - Juan Carlos Perez

ups ... looks like I need this one ..

Certificate revocation lists

I was using this manual so .. https://jamielinux.com/docs/openssl-certificate-authority/certificate-revocation-lists.html

Looks like a need some minutes to test .. but I guess this is going to work like a charm!!!!

I will post as soon as I have an update!!!!! shortly and thanks .... thanks!

#20 - 03/23/2016 08:42 AM - Juan Carlos Perez

root@foreman:~# sudo foreman-installer \

--no-enable-puppet \

--no-enable-foreman-plugin-bootdisk \

--no-enable-foreman-proxy \

--foreman-db-adapter=mysql2 \

--foreman-db-database=foreman \

--foreman-db-host=db.domain \

--foreman-db-manage=false \

--foreman-db-username=foreman \

--foreman-db-password='foreman_password' \

--foreman-db-port=3306 \

--foreman-db-type=mysql \

--foreman-server-ssl-ca=/etc/ssl/domain/certs/ca.pem \

--foreman-server-ssl-chain=/etc/ssl/domain/certs/ca.pem \

--foreman-server-ssl-cert=/etc/ssl/domain/certs/domain.pem \

--foreman-server-ssl-key=/etc/ssl/domain/private_keys/domain.pem \

--foreman-server-ssl-crl=/etc/ssl/domain/certs/intermediate.crl.pem

 Installing             Done                                               [100%] [....................................]

Success!   * Foreman is running at https://foreman.domain

Initial credentials are admin / EDppd5uM9KCsaagY

The full log is at /var/log/foreman-installer/foreman-installer.log

#21 - 03/23/2016 08:43 AM - Dominic Cleal

- Status changed from New to Resolved

Looks good!

#22 - 03/23/2016 10:04 AM - Juan Carlos Perez

Well looks like now I am having some networking problems but most related to the topology and addressing of my company.

I am changing vagrant files with new ip addressing.. I will let you know …. But looks good….

Many thanks!
